Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.jsse
Class TLSClientParameters

    java.lang.Object
      org.apache.cxf.configuration.jsse.TLSParameterBase
          org.apache.cxf.configuration.jsse.TLSClientParameters

    public class TLSClientParameters

extends TLSParameterBase

This class extends `TLSParameterBase` with client-specific SSL/TLS parameters.

Constructor Summary
`TLSClientParameters()`

Method Summary
`javax.net.ssl.SSLSocketFactory` | `getSSLSocketFactory()` Returns the SSLSocketFactory to be used, or null if none has been set.
`boolean` | `isDisableCNCheck()` Returns whether or not JSSE omits checking if the host name specified in the URL matches that of the Common Name (CN) on the server's certificate.
`void` | `setDisableCNCheck(boolean disableCNCheck)` Set whether or not JSEE should omit checking if the host name specified in the URL matches that of the Common Name (CN) on the server's certificate.
`void` | `setSSLSocketFactory(javax.net.ssl.SSLSocketFactory factory)` This sets the SSLSocketFactory to use, causing all other properties of this bean (and its superclass) to get ignored (this takes precendence).

Methods inherited from class org.apache.cxf.configuration.jsse.TLSParameterBase
`getCipherSuites, getCipherSuitesFilter, getJsseProvider, getKeyManagers, getSecureRandom, getSecureSocketProtocol, getTrustManagers, setCipherSuites, setCipherSuitesFilter, setJsseProvider, setKeyManagers, setSecureRandom, setSecureSocketProtocol, setTrustManagers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TLSClientParameters

    public TLSClientParameters()

Method Detail

### setDisableCNCheck

    public void setDisableCNCheck(boolean disableCNCheck)

  Set whether or not JSEE should omit checking if the host name specified in the URL matches that of the Common Name (CN) on the server's certificate. Default is false; this attribute should not be set to true during production use.

### isDisableCNCheck

    public boolean isDisableCNCheck()

  Returns whether or not JSSE omits checking if the host name specified in the URL matches that of the Common Name (CN) on the server's certificate.

### setSSLSocketFactory

    public final void setSSLSocketFactory(javax.net.ssl.SSLSocketFactory factory)

  This sets the SSLSocketFactory to use, causing all other properties of this bean (and its superclass) to get ignored (this takes precendence).

### getSSLSocketFactory

    public final javax.net.ssl.SSLSocketFactory getSSLSocketFactory()

  Returns the SSLSocketFactory to be used, or null if none has been set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF